VPT - Introduction

This document describes the introduction to VPT

Visual Product Tree (VPT) is an interactive web based navigational structure of the company products. It allows viewer to navigate through the products; from the top level assembly to sub-assemblies to the components level, visually and interactively.

Visual Product Tree is designed to provide technical support to customers, field service technicians, manufacturing engineers, manufacturing operations and technical training personnel.

This online documentation is designed to give you an understanding of VPT application and how to use it.

VPT application has five major elements as described below:
  1. Table-of-content
    • Table-of-Content lists all existing Visual Product Tree created by VPT application
    • Table-of-Content also allows you to add new Visual Product Tree
  2. Parts List (Record Administration) is used to manage records of the parts in the parts list
    • Parts List allows you to add parts to the parts list
    • Parts List allows you to edit parts into the parts list
    • Parts List allows you to delete parts from the parts list
    • Parts List allows you to display parts from the parts list
    • Parts List allows you to list three parts per page from the parts list
    • Parts List allows you to search parts by Part No and/or Description from the parts list
  3. VPT Builder is used to manage the drill-down structure of the Visual Product Tree with rollovers
    • Sub-component Section
      • Sub-Component section allows you to add parts to create drill-down structure of Visual Product Tree
      • Sub-Component section allows you to delete parts from the drill-down structure of Visual Product Tree
    • Rollover Section
      • Rollover section allows you to add rollovers to the Sub-Components
      • Rollover section allows you to edit rollovers to the Sub-Components
      • Rollover section allows you to delete rollovers of the Sub-Components
  4. VPT Reviewer is used to test the Visual Product Tree
    • Check the drill-down structure with rollovers in the Sub-Component section
    • Check the drill-down structure with rollovers in the Interactive Image section
    • Check the backward and jump back links in the Navigation Trail section
  5. VPT Flatview is used to check the Product Tree in the form of Bill-of-Material (BOM)
    • Product hierarchy is displayed according to the top level assembly, their sub-assemblies and their components, with part numbers and their descriptions
Related concepts
VPT - Table of content
Builder - Introduction
Reviewer - Reviewer
Flat View - BOM (Bill-of-materials)
Related information
http://www.jaytraders.html


VPT - Table of content

This document describes the table of content of VPT

When you open the VPT Application, Table of Content (TOC) is displayed with the list of all existing Visual Product Tree available. You can select any of the Visual Product Tree to view, or you can add new one, as shown in Figure 1.

Each Visual Product Tree has four major aspects in the creation of VPT as shown below:
  1. Parts List: You add all the parts (components, sub-assembly, assembly etc) to the Parts List.
  2. VPT Builder: Use parts from the Parts List and build the drill-down structure of the assembly and sub-assembly for the product.
  3. VPT Viewer: This is the end result which will be seen by the users, customers, field service technicians, manufacturing engineers, manufacturing operations and technical training personnel.
  4. Flat View: This view displays a complete Product Tree in the form of Bill-of-Material; Product hierarchy is displayed according to the top level assembly, their sub-assemblies and their components, with part numbers and their descriptions.

VPT Table of Content

Related concepts
VPT - Table of content
VPT - Add VPT to TOC


VPT - Add VPT to TOC

This document describes how to add vpt to the table of content

In order to add new Visual Product Tree to the Table Of Content (TOC), proceed with the following steps:
  1. From the TOC, click on Add VPT link, which will display an Add Form window, as shown in Add VPT Form
  2. In the VPT Name text box, type in the name for new Visual Product Tree.
  3. In the VPT Description text box, type in the description for new Visual Product Tree.
  4. Click on the Calender link to select Project Start Date.
  5. Click on the Calender link to select Project Finish Date.
  6. In the GIF File, provide a gif image, which will be displayed as thumbnail.
  7. In the JPG File, provide a jpg image, which will be displayed as main image.
  8. Submit the form to process your request for the new Visual Product Tree.
Note: In Add VPT Form, you must provide information for Part No and Part Description; Otherwise, you will get an error message prompting you to add that information.
Note: GIF images are 100x100 pixels and JPG images are 450x375 pixels. GIF and JPG images can be added later. However, if you do not provide images, you will get an error message in the Form Confirmation window

Add VPT Form

VPT Add Form
Once the Add VPT Form is submitted, confirmation window will be displayed with the following information, refer to VPT Form Confirmation:
  • Visual Product Tree Information
    • Name (UBV) of the new Visual Product Tree
    • Description (Union Ball Valve Assembly) of the new Visual Product Tree
    • Project start date (12/1/2007)
    • Project finish date (12/31/2007)
    • GIF and JPG files are submitted successfully or not
    • GIF and JPG file names
  • Additional Technical Information
    • Project creation date (12/17/2007)
    • Database (db_UBV) is created to store new Visual Product Tree data
    • Table (UBV) is created to store Assembly and Sub-assembly data
    • Table (UBV_partlist) is created to store Part related information
    • Table (UBV_roll) is created to store Rollover related information
    • Directory (UBV_Img) is created to store GIF and JPG images
    • Directory (UBV_roll) is created to store Rollover images
    • Directory (UBV_attach) is created to store attachment files such as PDF or 3D Model

Click on the Close Window link and new VPT will be listed in the TOC as shown in New VPT Created.

VPT Form Confirmation

VPT Form Confirmation

New VPT Created

New VPT Created
Related concepts
VPT - Table of content
VPT - Add VPT to TOC
Related information
http://www.jaytraders.html


Parts List - Administration

This document describes administration of Parts List

Parts List is the database of all parts (components, sub-assembly, or assembly) that makes up the Visual Product Tree. Parts List (Record Administration) is the first process in building of new Visual Product Tree. Add all the components, sub-assemblies and assemblies into the Parts List; so it can be used later on, in building the drill-down structure of the Product.

From the TOC, click on Parts List link, which will display Record Administration window. By default, top level assembly is already listed in the Record Administration when VPT was created in the TOC.

Table 1. Partslist - Record Administration
Featers | Description
Add | Add parts to the partslist
Edit | Edit parts in the partslist
Delete | Delete parts from the partslist
Display | Display details of the parts
Record List | Display 10 parts per page
Record Search | Search parts by Part No. and/or keywords
Close Window | Clsoe the partslist window
Record Administration window has seven major aspects as described below, refer to Figure 1:
  1. Add: Add link allows you to add parts to the Parts List.
  2. Edit: Edit link allows you to edit any information of the part into the Parts List.
  3. Delete: Delete link allows you to delete the part from the Parts List.
  4. Display: Display link allows you to display information of the part from the Parts List.
  5. Record List: Record List link displays three parts per page, with navigation link at the bottom of each page.
  6. Record Search: Record Search link allows you to search for any part or parts.
  7. Close Window: Click on Close Window to exit Record Administration window.
Note: Record Administration (Parts List) window displays detailed information about each part such as Part No., Description, Attachments (PDF documentation or 3D Model), Images (GIF thumbnail and JPG main image).

Partslist Administration

Related concepts
Parts List - Administration
Parts List - Add Parts
Parts List - Edit Parts
Parts List - Delete Parts
Parts List - Display
Parts List - List Parts
Parts List - Search Parts


Parts List - Add Parts

This document describes how to add parts to Parts List

In order to add new part to the Parts List, proceed with the following steps:
  1. From the Record Administration window, click on any Add link, which will display Record Add Form, as shown in Figure 1.
  2. In Part No text box, type in the part number of the part.
  3. In Part Description text box, type in the description of the part.
  4. In PDF File, provide a PDF documentation as an attachment.
  5. In 3D Model File, provide CAD 3D Model as an attachment.
  6. In GIF File, provide a gif image which you would like to display as thumbnail.
  7. In JPG File, provide a jpg image which you would like to display as main image.
  8. Submit the form to process your request to add part.
Note: In Record Add Form, you must provide information for Part No and Part Description; Otherwise, you will get an error message prompting you to add that information.
Note: In Record Add Form, if you enter Part No that already exists in the Parts List, you will get an error message and process will be terminated.
Note: GIF images are 100x100 pixels and JPG images are 450x375 pixels. GIF and JPG images can be added later. However, if you do not provide images, you will get an error message in the Form Confirmation window.

Admin - Add Form

Admin - Add Form
Once the Add Form is submitted, confirmation window will be displayed with the following information, refer to Figure 2.
  • File uploaded successfully or not (for PDF, 3D Model, GIF or JPG file)
  • Part No and Part Description
  • File name of PDF documentation, if documentation was submitted
  • File name of 3D Model, if model was submitted
  • Thumbnail image of part, if GIF image was submitted
  • Larger image of part, if JPG image was submitted

Click on the Close Window link and part will be added to the Parts List as shown in Figure 3.

Admin - Add Confirmation

Admin - Add Confirmation

Admin - Part Added

Admin - Part Added
Related concepts
Parts List - Administration
Parts List - Add Parts
Parts List - Edit Parts
Parts List - Delete Parts
Parts List - Display
Parts List - List Parts
Parts List - Search Parts


Parts List - Edit Parts

This document describes how to edit parts to Parts List

In order to edit part to the Parts List, proceed with the following steps:
  1. From the Record Administration window, click on Edit link, which will display Record Edit Form, as shown in Figure 1. Note that in the Record Edit Form, all the current information regarding the part has been displayed.
  2. To change part number, type in new part number in the Part No text box
  3. To change part description, type in new description in the Part Description text box.
  4. Provide new PDF File, if PDF documentation has changed.
  5. Provide new 3D Model File, if CAD 3D Model has changed.
  6. Provide new GIF image, if thumbnail image has changed.
  7. Provide new JPG image, if main image has changed.
  8. Submit the form to process your request to edit part.
Note: In Record Edit Form, if you enter Part No that already exists in the Parts List, you will get an error message and process will be terminated.
Note: GIF images are 100x100 pixels and JPG images are 450x375 pixels. GIF and JPG images can be added later. However, if you do not provide images, you will get an error message in the Form Confirmation window.

Admin - Edit Form

Admin - Edit Form
Once the Edit Form is submitted, confirmation window will be displayed with the following information, refer to Figure 2.
  • File uploaded successfully or not (for PDF, 3D Model, GIF or JPG file)
  • Updated Part No and Part Description
  • Updated file name of PDF documentation, if documentation was submitted
  • Updated file name of 3D Model, if model was submitted
  • Updated thumbnail image of part, if GIF image was submitted
  • Updated larger image of part, if JPG image was submitted

Click on the Close Window link and part will be edited to the Parts List as shown in Figure 3.

Admin - Edit Confirmation

Admin - Edit Confirmation

Admin - Part Edited

Admin - Part Edited
Related concepts
Parts List - Administration
Parts List - Add Parts
Parts List - Edit Parts
Parts List - Delete Parts
Parts List - Display
Parts List - List Parts
Parts List - Search Parts


Parts List - Delete Parts

This document describes how to delete parts from Parts List

In order to delete part from the Parts List, proceed with the following steps:
  1. From the Record Administration window, click on Delete link; which will display Record Delete Form, as shown in Figure 1. Note that in the Record Delete Form, all the current information regarding the part has been displayed.
  2. Submit the form to process your request to delete part.
Note: If part that you are deleting is being used in the Builder part of the VPT application, then you will get an error message saying part can not be deleted. So first remove part from the Builder and then try to delete it form the Record Administration.

Admin - Delete Form

Admin - Delete Form

Once the Delete Form is submitted, confirmation window will be displayed stating part is deleted, as shown in Figure 2.

Click on the Close Window link to return to Record Administration as shown in Figure 3, notice that deleted part is removed from the Parts List.

Admin - Delete Confirmation

Admin - Delete Confirmation

Admin - Part Deleted

Admin - Part Deleted
Related concepts
Parts List - Administration
Parts List - Add Parts
Parts List - Edit Parts
Parts List - Delete Parts
Parts List - Display
Parts List - List Parts
Parts List - Search Parts


Parts List - Display

This document describes how to display a part from Parts List

From the Record Administration window, click on Display link, which will display Record Display window with the following information, as shown in Figure 1.
  • Part No and Part Description
  • File name of PDF documentation, if documentation is attached
  • File name of 3D Model, if model is attached
  • Thumbnail image of part, if GIF image is attached
  • Larger image of part, if JPG image is attached

Click on the Close Window link to return to the Record Administration window.

Admin - Display Record

Admin - Display Record
Related concepts
Parts List - Administration
Parts List - Add Parts
Parts List - Edit Parts
Parts List - Delete Parts
Parts List - Display
Parts List - List Parts
Parts List - Search Parts


Parts List - List Parts

This document describes how to list parts from Parts List

From the Record Administration window, click on Record List link, which will display Record List window, refer to Figure 1, Figure 2 and Figure 3.

Record List displays three records per page. It also displays Navigation panel at the bottom of every page.

Navigation panel allows you to navigate to the next page, previous page, first page, last page or any specific page in the sequence.

From the Record List window, click on the Record Administration link to return to the Record Administration window.

Admin - Record List 1

Admin - Record List 1

Admin - Record List 2

Admin - Record List 2

Admin - Record List 3

Admin - Record List 3
Related concepts
Parts List - Administration
Parts List - Add Parts
Parts List - Edit Parts
Parts List - Delete Parts
Parts List - Display
Parts List - List Parts
Parts List - Search Parts


Parts List - Search Parts

This document describes how to search parts from Parts List

In order to search for parts into the Parts List, proceed with the following steps:
  • From the Record Administration window, click on Record Search link, which will display Record Search window.
  • To search by part number, enter Part No (or any descriptive number) in the text box.
  • To search by part description, enter Part Description (or any descriptive word) in the text box.
  • Click Go button to Submit the search criteria.
    • Figure 1: Part No '00' and Part Description 'union' is entered for search; result is shown in Figure 2.
    • Figure 2: Part No is blank and Part Description 'union' is entered for search; result is shown in Figure 3.

From the Record List window, click on the Record Administration link to return to the Record Administration window.

Admin - Record Search 1

Admin - Record Search 1

Admin - Record Search 2

Admin - Record Search 2

Admin - Record Search 3

Admin - Record Search 3
Related concepts
Parts List - Administration
Parts List - Add Parts
Parts List - Edit Parts
Parts List - Delete Parts
Parts List - Display
Parts List - List Parts
Parts List - Search Parts
Related information
http://www.jaytraders.html


Builder - Introduction

This document describes introduction to Builder

Once the new Visual Product Tree is added to the Table Of Content (TOC) and all the parts are added to the Parts List (Record Administration); Builder is the second process in building of the Visual Product Tree. This is where you actually build a drill-down structure of the product; starting from top level assembly to sub-assemblies to components.

From the TOC, click on Builder link, which will display Builder window. By default, top level assembly is already shown in the Builder when Visual Product Tree was created in the TOC.

Builder window has six major aspects as described below, refer to Figure 1, Figure 2 and Figure 3:
  1. Navigation Trail: As you create the drill-down structure of the Visual Product Tree from top level assembly to the bottom level of components; Navigation trail will be created for each level. Navigation trail is an easy way to move (or jump) backward to any specific level in the assembly.
  2. Part No: As you navigate from top level assembly to the bottom level of components; Part No will change accordingly.
  3. Sub-components Area:
    • Listing of all the components that belongs to the specified assembly or sub-assembly
      • Part No of the listed components as a link, clicking on the Part No will direct you to that specific sub-assembly (or component), in the preceding window.
      • If sub-components have attachments such as PDF documentation or 3D Model, links will be displayed next to the Part No
      • Part Description of the listed components
    • Add components into the specified assembly or sub-assembly
    • Delete components from the specified assembly or sub-assembly
  4. Rollover Area:
    • Listing of all the rollover that belongs to sub-components in the assembly or sub-assembly
    • Unique Rollover ID for each rollover, since single component can have multiple rollovers
    • Add rollover for the sub-components of the specified assembly or sub-assembly
    • Edit rollover for the sub-components of the specified assembly or sub-assembly
    • Delete rollover for the sub-components of the specified assembly or sub-assembly
  5. Interactive Image Area:
    • Part Image: Visual presentation of the Part
    • Rollover Image Map:
      • Part image can be interactive with the Rollover Image Map
      • As you move mouse over sub-assembly (or component); rollover image will be displayed, if it has an Image Map
      • Clicking on the Image Map area will direct you to that specific sub-assembly (or component), in the preceding window.
  6. Close Window Link: Use this link to close the browser window. Do not close the window by clicking on 'X' of the window.

Builder Introduction 1

Builder Introduction 1

Builder Introduction 2

Builder Introduction 2

Builder Introduction 3

Builder Introduction 3
Related concepts
Builder - Introduction
Builder - Add
Builder - Delete
Builder - Add Rollover
Builder - Edit Rollover
Builder - Delete Rollover


Builder - Add

This document describes how to add parts to Builder

When you add components into the Builder, you are actually creating drill-down structure of the Visual Product Tree. First we added all the parts into the Parts List; now we simply select those parts and add it into the Builder in order to create drill-down of the Visual Product Tree.

In order to add components to the Builder, proceed with the following steps:
  1. In the Builder window, from the Sub-Component area, click on Add link; which will display Add Component dialog box, as shown in Figure 1. Note that you are adding sub-components to the top level of assembly (Part No. UBV).
  2. Select a component UBV-00-0000 from the drop-down list to add it to the builder.
  3. Submit the form to process your request to add component to the UBV Assembly.
Note: Adding components into the Builder or Deleting components from the Builder does not affect those components into the Parts List.
Note: If Sub-Component area is empty, then you will not be able to Delete component or modify any Rollover related information.

Builder - Add Form

Builder - Add Form

Once the Add Component Form is submitted, confirmation window will be displayed as shown in Figure 2.

Click on the Close Window link and component (UBV-00-0000) will be added to the top level assembly (UBV) as shown in Figure 3. Also, note this component has PDF documentation attached to it as a link.

Builder - Add Confirmation

Builder - Add Confirmation

Builder - Part Added

Builder - Part Added
Related concepts
Builder - Introduction
Builder - Add
Builder - Delete
Builder - Add Rollover
Builder - Edit Rollover
Builder - Delete Rollover


Builder - Delete

This document describes how to delete parts from Builder

When you delete components from the Builder, you are actually removing it from the drill-down structure of the Visual Product Tree.

In order to delete component from the Builder, proceed with the following steps:
  1. In the Builder window, from the Sub-Component area, click on Delete link; which will display Delete Component dialog box, as shown in Figure 1. Note that you are deleting sub-components from the top level of assembly (Part No. UBV).
  2. Select a component UBV-00-0000 form the drop-down list to delete it from the builder.
  3. Submit the form to process your request to delete component from the UBV Assembly.
Note: When component is deleted from the Sub-Component list, all the rollovers associated with the component are also deleted from the Rollover Area

Builder - Delete Form

Builder - Delete Form

Once the Delete Form is submitted, confirmation window will be displayed as shown in Figure 2.

Click on the Close Window link and component (UBV-00-0000) will be deleted from the top level assembly (UBV) as shown in Figure 3.

Builder - Delete Confirmation

Builder - Delete Confirmation

Builder - Part Deleted

Builder - Part Deleted
Related concepts
Builder - Introduction
Builder - Add
Builder - Delete
Builder - Add Rollover
Builder - Edit Rollover
Builder - Delete Rollover


Builder - Add Rollover

This document describes how to add rollover to parts in Builder

Rollovers are assigned to the components that have been added into the sub-component area of the Builder. After adding the rollover to the component, every time when mouse moves over the Part No, the rollover image will be displayed in the main image area. Also, rollovers can also be assigned by providing Image Map data. Once image map is assigned, every time when mouse moves over certain part of the image, the main image is replaced with the rollover image.

In order to add rollover to the component, proceed with the following steps:
  1. In the Builder window, from the Rollover area, click on Add link; which will display Add Rollover dialog box, as shown in Figure 1.
  2. From Select Component drop-down list, select a component to apply rollover.
  3. From the Shape drop-down list, select the shape of rollover.
  4. In Image Map text box, add Image Map data for the rollover.
  5. In Rollover File, provide a rollover image.
  6. Submit the form to process your request to add rollover.
Note: Multiple rollovers can be added for the same component; However, each rollover can be identified by its unique Rollover ID number in the Rollover Area.

Builder - Rollover Add Form

Builder - Rollover Add Form
Once the Add Rollover Form is submitted, confirmation window will be displayed with the following information, refer to Figure 2.
  • Rollover File uploaded successfully or not, if rollover image was submitted
  • Part No of the component to which rollover was added
  • The shape of the rollover, if shape was selected
  • Image Map data of the rollover, if data were provided
  • Rollover file name, if rollover image was submitted
  • Submit the form to process your request to add rollover.

Click on the Close Window link and rollover will be added to the list as shown in Figure 3.

Builder - Rollover Add Confirmation

Builder - Rollover Add Confirmation

Builder - Rollover Added

Builder - Rollover Added
Related concepts
Builder - Introduction
Builder - Add
Builder - Delete
Builder - Add Rollover
Builder - Edit Rollover
Builder - Delete Rollover


Builder - Edit Rollover

This document describes how to edit rollover to parts in Builder

In order to edit rollover of any component, proceed with the following steps:
  1. In the Builder window, from the Rollover area, click on Edit link; which will display Edit Rollover Component Selection dialog box, as shown in Figure 1 and Figure 2.
  2. From Select Rollover to Edit drop-down list, select a component to edit rollover, then submit the form.
  3. Next, Edit Rollover dialog box will be displayed with all the current information regarding the rollover.
  4. Part No of selected component is displayed in grey as unselected.
  5. From the Shape drop-down list, select the shape of rollover, if rollover shape has changed.
  6. In Image Map text box, edit Image Map data for the rollover, if image map data has changed.
  7. In Rollover File, provide a rollover image, if rollover image has changed.
  8. Submit the form to process your request to edit rollover.
Note: Multiple rollovers can be shown for the same component; Therefore, each rollover can be identified by its unique Rollover ID number in the Rollover Area.

Builder - Rollover Edit Form 1

Builder - Rollover Edit Form 1

Builder - Rollover Edit Form 2

Builder - Rollover Edit Form 2
Once the Edit Rollover Form is submitted, confirmation window will be displayed with the following information, refer to Figure 3.
  • Updated Rollover File uploaded successfully or not, if rollover image was submitted
  • Part No of the component to which rollover was added
  • Updated Shape of the rollover
  • Updated Image Map data of the rollover
  • Updated Rollover file name

Click on the Close Window link and rollover will be edited to the list as shown in Figure 4.

Builder - Rollover Edit Confirmation

Builder - Rollover Edit Confirmation
Follow these steps to check the edited rollover effect:
  • In the Rollover area - Move the mouse over part number to check the rollover image is correct
  • In the Sub-Component area - Move the mouse over part number and check if rollover is working
  • In the Main Image area - Move the mouse over the Image Map area and check if rollover is working

Builder - Rollover Edited

Builder - Rollover Edited
Related concepts
Builder - Introduction
Builder - Add
Builder - Delete
Builder - Add Rollover
Builder - Edit Rollover
Builder - Delete Rollover


Builder - Delete Rollover

This document describes how to delete rollover of parts in Builder

In order to delete rollover of any component, proceed with the following steps:
  1. In the Builder window, from the Rollover area, click on Delete link; which will display Delete Rollover Component Selection dialog box, as shown in Figure 1.
  2. From Select Rollover to Delete drop-down list, select a component to delete rollover.
  3. Submit the form to process your request to delete rollover.
Note: Multiple rollovers can be shown for the same component; Therefore, each rollover can be identified by its unique Rollover ID number in the Rollover Area.

Builder - Rollover Delete Form

Builder - Rollover Delete Form

Once the Delete Rollover Form is submitted, confirmation window will be displayed as shown in Figure 2.

Click on the Close Window link and rollover will be deleted for the component from the Rollover Area, as shown in Figure 3.

Builder - Rollover Delete Confirmation

Builder - Rollover Delete Confirmation

Builder - Rollover Deleted

Builder - Rollover Deleted
Related concepts
Builder - Introduction
Builder - Add
Builder - Delete
Builder - Add Rollover
Builder - Edit Rollover
Builder - Delete Rollover
Related information
http://www.jaytraders.html


Reviewer - Reviewer

This document describes how to use viewer in Reviewer

VPT Reviewer is the final result of Visual Product Tree which will be seen by users, customers, field service technicians, manufacturing engineers, manufacturing operations and technical training personnel.

Once the drill-down structure of the product is created using Builder; finally check the integrity and completeness of Visual Product Tree using the Reviewer. Navigating through the Reviewer is almost identical to the Builder.

From the TOC, click on Reviewer link, which will display Reviewer window.

Reviewer window has five major aspects as described below, refer to Figure 1, Figure 2 and Figure 3:
  1. Part No: As you navigate from top level assembly to the bottom level of components; Part No will change accordingly.
  2. Sub-components Area: Lists all the components that belongs to the specified assembly or sub-assembly.
    • Part No of the listed components as a link, clicking on the Part No will direct you to that specific sub-assembly (or component)
    • If sub-components have attachments such as PDF documentation or 3D Model, links will be displayed next to the Part No
    • Part Description of the listed components
  3. Navigation Trail: As you create the drill-down structure of the Visual Product Tree from top level assembly to the bottom level of components; Navigation trail will be created for each level. Navigation trail is an easy way to move (or jump) backward to any specific level in the assembly.
  4. Interactive Image Area: Visual presentation of Part Image with Rollover Image Map
    • Part image can be interactive with the Rollover Image Map
    • As you move mouse over sub-assembly (or component); rollover image will be displayed, if it has Image Map
    • As you move mouse over sub-assembly (or component), tool-tip may be displayed with the rollover image
    • Clicking on the Image Map area will direct you to that specific sub-assembly (or component)
  5. Close Window Link: Use this link to close the browser window. Do not close the window by clicking on 'X' of the window.
Note: From the Sub-Component area, click on the Part No to navigate through the top-down-structure of the Visual Product Tree.
Note: From the Interactive Image area, click on the Part Image to navigate through the top-down-structure of the Visual Product Tree.
Note: From the Navigation Trail area, click on the Part No to navigate through the bottom-up-structure of the Visual Product Tree.

Reviewer 1

Reviewer 2

Reviewer 3

Related concepts
Reviewer - Reviewer
Reviewer - Attachment
Flat View - BOM (Bill-of-materials)


Reviewer - Attachment

This document describes how to view attachments in Reviewer

From the TOC, click on Reviewer link, which will display Reviewer window.

Some times in the Sub-Component area, next to the Part No, PDF and 3D Model links are displayed. That means PDF documentation and 3D CAD Model is available to view for that specific assembly, or sub-assembly or component. Refer to Figure 1.

By clicking on PDF link, PDF documentation will open in Adobe Acrobat application. Refer to Figure 2.

By clicking on 3D Model link, CAD 3D Model will open in eDrawing application.

Reviewer - Attachment 1

Reviewer - Attachment 1

Reviewer - Attachment 2

Reviewer - Attachment 2
Related concepts
Reviewer - Reviewer
Reviewer - Attachment
Flat View - BOM (Bill-of-materials)


Flat View - BOM (Bill-of-materials)

This document describes how to view Bill-of-materials

This view displays a complete Product Tree in the form of Bill-of-Material. Product hierarchy is displayed according to the top level assembly, their sub-assemblies and their components, with part numbers and their descriptions.
  • From the TOC, click on Flatview link, which will display Flatview window, as shown in Figure 1 and Figure 2
  • Click on the Close Window link to return to the VPT TOC window.

VPT Table-of-Content

Flat View - Bill of Material

Flat View - Bill of Material
Related concepts
Reviewer - Reviewer
Reviewer - Attachment
Flat View - BOM (Bill-of-materials)
Related information
http://www.jaytraders.html